"""This module is used to test the ignore comments flag.

  If the test is successful, the 'WithComments' class will not have
  any documentation at all in the generated output.
  
"""

class WithComments:
    #
    # This class is documented only with comments.
    #
    # Any documentation which appears for this class with the
    # comment flag set to ignore comments indicates a bug.
    #

    def __init__(self):
        #
        # WithComments init method.
        #
        #   You should not see this!
        #
        
        pass


    

class WithoutComments:
    """This class is documented with __doc__ strings.

    The documentation for this class should always appear.
    """

    def __init__(self):
        """WithoutComments __init__ method.

        You should see this.
        """
        pass
    
        
