"""Test behavior with decorated comments.

    $Id: test_decorated_comments.py,v 1.1 2002/11/17 14:51:44 doughellmann Exp $

    Comments (not docstrings) with decorative lines consisting of only
    the characters [-=# ] will be ignored.

"""

#################################################################################
#
# Func with hash lines
#
#################################################################################
def Hashes():
    pass

#--------------------------------------------------------------------------------
#
# Func with dash lines
#
#--------------------------------------------------------------------------------
def Dashes():
    pass

#================================================================================
#
# Func with equal lines
#
#================================================================================
def Equals():
    pass

#-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
#
# Func with mixed dashes and equals
#
#-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
def Mixed():
    pass


#
# This function has, in the comments about it, a table.  That table
# should be rendered via STNG to an HTML table in the test output.
#
#  |-------------------------------------------------|
#  | Function  | Documentation                       |
#  |=================================================|
#  | '__str__' | This method converts the            |
#  |           |  the object to a string.            |
#  |           |                                     |
#  |           | - Blah                              |
#  |           |                                     |
#  |           | - Blaf                              |
#  |           |                                     |
#  |           |       |--------------------------|  |
#  |           |       |  Name   | Favorite       |  |
#  |           |       |         | Color          |  |
#  |           |       |==========================|  |
#  |           |       | Jim     |  Red           |  |
#  |           |       |--------------------------|  |
#  |           |       | John    |  Blue          |  |
#  |           |       |--------------------------|  |
#  |-------------------------------------------------|
#
def StructuredTextTable():
    pass
